<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
     <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
     
     <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    
    
    <style>
        body{
            background: #5c258D;
            background: linear-gradient(to left, #5c258D, #4389A2);
        }
        
        .contenedor{
            padding: 0;
            margin: auto;
            margin-top: 10%;

            background: #fff;
            box-shadow: 0 0 10px 3px #000;
        }
        
        .cont__header {
            background: #4389A2;
            padding: 0 25px;
            display: flex;
            justify-content: space-between;
        }
        
        .title{
            width: 50%;
            
        }
        
        #agregar{
            color: #fff;
        }
        #agregar:hover{
            color: #ccc;
        }
        
        .cont__header h2{
            color: #fff;
            line-height: 2;
            
        }
        
        .todos{
            color: #000;
            line-height: 2;
            
        }
        
        .input input[placeholder]{
            color: #007bc7;
            border-radius: 0;
            padding: 25px 20px;
        }
        
        .input input::placeholder{
            color: #007bc7;
        }
        
        .todo{
            padding: 10px 20px;
            
        }
        .eliminar{
            margin-right: 15px;
            color: #f00505;
        }
        .eliminar:hover{
            color: #830000;
        }
        
        .marcar{
            text-decoration: line-through;
        }
    
    </style>
</head>
<body>
    <div class="container">
        <div class="row">
            <div class="col-lg-5 col-md-5 col-sm-10 contenedor">
                <div class="cont__header">
                    <div class="title">
                        <h2>TO-DO LIST</h2>
                    </div>
                    <div class="btn-mas">
                        <a href="#" id="agregar"><i class="fa fa-plus fa-2x mt-3"></i></a>
                    </div>
                </div>
        
                <div class="input">
                    <input type="text" class="form-control " id="inp-text" placeholder="Añadir nueva tarea">
                </div>

                <div class="todos">
                    <div class="todo">
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    

    
    
    
     <script src="js/jquery-3.3.1.min.js"></script>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
     <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    

    <script>

        
            $('.btn-mas').click(function(){
                var texto = $('#inp-text').val();
                var remover= "<a href='#' class='eliminar'><i class='fa fa-trash'></i></a>  "
                if(texto.length>0){
                    $('.todo').append(remover+"<p class='s'>"+texto+"</p>"+"<hr>");
                    $('#inp-text').val('');
                    //alerta.hide();
                }
                else{
                    //alerta.show();
                }
                
            });
        
            $('.eliminar').click(function(event){
                
                    $('.s').remove();
            });
        
        
        $('.s').click(function(){
            $(this).toggleClass('marcar');
        });
       

        
       
      
        
    </script>

</body>
</html>